## powa-web 4.1.2~20220624.1437-1~1.git36cda34.pgdg18.04+1

=== debian/changelog ===
powa-web (4.1.2~20220624.1437-1~1.git36cda34.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 29 Oct 2021 18:01:12 +0200

powa-web (4.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Oct 2021 18:01:12 +0200

powa-web (3.1.2-1) unstable; urgency=medium

  * Team upload.
  * Initial release.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 22 Mar 2017 14:14:12 +0100

## powa-web 4.1.2~20220624.1437-1~1.git36cda34.pgdg22.04+1

=== debian/changelog ===
powa-web (4.1.2~20220624.1437-1~1.git36cda34.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 29 Oct 2021 18:01:12 +0200

## powa-web 4.1.2~20220624.1437-1~1.git36cda34.pgdg90+1

=== debian/changelog ===
powa-web (4.1.2~20220624.1437-1~1.git36cda34.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 29 Oct 2021 18:01:12 +0200

## powa-web 4.1.2~20220624.1437-1~1.git36cda34.pgdg100+1

=== debian/changelog ===
powa-web (4.1.2~20220624.1437-1~1.git36cda34.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 29 Oct 2021 18:01:12 +0200

## powa-web 4.1.2~20220624.1437-1~1.git36cda34.pgdg110+1

=== debian/changelog ===
powa-web (4.1.2~20220624.1437-1~1.git36cda34.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 29 Oct 2021 18:01:12 +0200

## powa-web 4.1.2~20220624.1437-1~1.git36cda34.pgdg120+1

=== debian/changelog ===
powa-web (4.1.2~20220624.1437-1~1.git36cda34.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 29 Oct 2021 18:01:12 +0200

## powa-web 4.1.2~20220624.1437-1~1.git36cda34.pgdg+1

=== debian/changelog ===
powa-web (4.1.2~20220624.1437-1~1.git36cda34.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 29 Oct 2021 18:01:12 +0200

## powa-web 4.2.0

=== requirements.txt ===
psycopg2
sqlalchemy>0.9.8
tornado>=2.0

=== powa/static/bower_components/lunr.js/Makefile ===

SRC = lib/lunr.js \
	lib/utils.js \
	lib/event_emitter.js \
	lib/tokenizer.js \
	lib/pipeline.js \
	lib/vector.js \
	lib/sorted_set.js \
	lib/index.js \
	lib/document_store.js \
	lib/stemmer.js \
	lib/stop_word_filter.js \
	lib/token_store.js

YEAR = $(shell date +%Y)
VERSION = $(shell cat VERSION)

all: lunr.js lunr.min.js docs bower.json package.json component.json

lunr.js: $(SRC)
	for src in $^ ; do cat $$src; echo ";" ; done | \
	sed "s/@YEAR/${YEAR}/" | \
	sed "s/@VERSION/${VERSION}/" > $@

lunr.min.js: lunr.js
	uglifyjs --compress --mangle --comments < $< > $@

%.json: build/%.json.template
	cat $< | sed "s/@VERSION/${VERSION}/" > $@

size: lunr.min.js
	gzip -c lunr.min.js | wc -c

test_server:
	node server.js 3000

test:
	phantomjs test/env/runner.js http://localhost:3000/test

docs:
	dox < lunr.js | dox-template -n lunr.js -r ${VERSION} > docs/index.html

clean:
	rm -f lunr{.min,}.js
	rm bower.json
	rm package.json
	rm component.json

.PHONY: test clean docs

## powa-web 4.1.2~20220624.1438-1~1.git36cda34.pgdg20.04+1

=== debian/changelog ===
powa-web (4.1.2~20220624.1438-1~1.git36cda34.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 29 Oct 2021 18:01:12 +0200

=== debian/control ===
Source: powa-web
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 12),
 dh-python,
 help2man,
 python3,
 python3-psycopg2,
 python3-setuptools,
 python3-sqlalchemy,
 python3-tornado,
Standards-Version: 4.6.0
Homepage: https://github.com/powa-team/powa
Vcs-Git: https://github.com/powa-team/powa-web.git
Vcs-Browser: https://github.com/powa-team/powa-web

Package: powa-web
Architecture: all
Depends:
 adduser,
 python3-psycopg2,
 python3-sqlalchemy,
 python3-tornado,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Workload Analyzer - web interface
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers.
 .
 This package provides the web interface. It supports PostgreSQL 9.4 and later.
 Database servers to be monitored need to have the postgresql-NN-powa package
 installed and configured.

## powa-web 4.1.2

=== debian/changelog ===
powa-web (4.1.2-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 29 Oct 2021 18:01:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper (>= 10),
  dh-python,
  help2man,
  python3,

## powa-web 4.2.0

=== debian/changelog ===
powa-web (4.2.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 17 Oct 2023 16:05:13 +0200

powa-web (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Oct 2023 16:05:13 +0200

powa-web (4.1.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2022 15:48:50 +0200

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installman:
	help2man --no-info --name 'PoWA user interface' --no-discard-stderr ./powa-web > powa-web.1
	dh_installman

%:
	dh $@ --with python3 --buildsystem=pybuild

## powa-web 5.0.1

=== requirements.txt ===
psycopg2
tornado>=2.0

=== debian/changelog ===
powa-web (5.0.1-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Jan 2025 09:58:59 +0100

powa-web (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1.

 -- Christoph Berg <myon@debian.org>  Tue, 14 Jan 2025 09:58:59 +0100

powa-web (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Nov 2024 13:39:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-python,
  help2man,
  python3,
@@ -14,9 +14,10 @@
  python3-sqlalchemy,
  python3-tornado,
 Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/powa-team/powa
-Vcs-Git: https://github.com/powa-team/powa-web.git
-Vcs-Browser: https://github.com/powa-team/powa-web
+Vcs-Git: https://salsa.debian.org/postgresql/powa-web.git
+Vcs-Browser: https://salsa.debian.org/postgresql/powa-web
 
 Package: powa-web
 Architecture: all

=== debian/watch ===
version=4
https://github.com/powa-team/powa-web/tags .*/([0-9.]*).tar.gz

## powa-web 5.1.1

=== debian/changelog ===
powa-web (5.1.1-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 06 Dec 2025 17:51:39 +0100

powa-web (5.1.1-1) unstable; urgency=medium

  * New upstream version 5.1.1.

 -- Christoph Berg <myon@debian.org>  Sat, 06 Dec 2025 17:51:39 +0100

## powa-web 5.1.2

=== debian/changelog ===
powa-web (5.1.2-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 14 Dec 2025 13:15:31 +0000

powa-web (5.1.2-1) unstable; urgency=medium

  * New upstream version 5.1.2.

 -- Christoph Berg <myon@debian.org>  Sun, 14 Dec 2025 13:15:31 +0000
